Bug 139074 - [PATCH] dns/maradns Update to 1.3.07.09
Summary: [PATCH] dns/maradns Update to 1.3.07.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-23 02:10 UTC by Martin Tournoij
Modified: 2009-09-25 10:00 UTC (History)
0 users

See Also:


Attachments
maradns.patch (20.17 KB, patch)
2009-09-23 02:10 UTC, Martin Tournoij
no flags Details | Diff
maradns2.patch (21.82 KB, patch)
2009-09-23 02:25 UTC, Martin Tournoij
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Tournoij 2009-09-23 02:10:01 UTC
Update to 1.3.07.09
Comment 1 Martin Tournoij 2009-09-23 02:25:08 UTC
New patch which also fixes the startup scripts.

This patch replaces the previous patch.


On Wed, Sep 23, 2009 at 01:10:01AM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/139074'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=139074
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [PATCH] dns/maradns Update to 1.3.07.09
> >Arrival-Date:   Wed Sep 23 01:10:01 UTC 2009

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net  | (+031) 621 991 576
http://www.carpetsmoker.net | http://www.daemonforums.org

QOTD:
HOW YOU CAN TELL THAT IT'S GOING TO BE A ROTTEN DAY:
	#15 Your pet rock snaps at you.
Comment 2 Martin Wilke freebsd_committer 2009-09-23 12:41:59 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2009-09-23 12:42:03 UTC
miwi        2009-09-23 11:41:48 UTC

  FreeBSD ports repository

  Modified files:
    dns/maradns          Makefile distinfo pkg-descr pkg-plist 
    dns/maradns/files    patch-tools_duende.c 
  Log:
  - Update to 1.3.07.09
  
  PR:             139074
  Submitted by:   Martin Tournoij <carpetsmoker@rwxrwxrwx.net>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.62      +5 -6      ports/dns/maradns/Makefile
  1.49      +3 -3      ports/dns/maradns/distinfo
  1.2       +11 -12    ports/dns/maradns/files/patch-tools_duende.c
  1.3       +23 -15    ports/dns/maradns/pkg-descr
  1.24      +100 -124  ports/dns/maradns/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Tournoij 2009-09-25 09:39:04 UTC
Hi,

You committed this port a few days ago, you made a few changes to the patch I
sent, in particular you changed the s|/etc/mara|${ETCDIR}| and the rc.d
scripts back to as they were with the previous version.

Does this port still work for you? Because for me it now wants to use
/usr/local/maradnsdns and the rc.d scrips don't work because maradns now needs
a -f argument for the config file (As far as I could find there is no built-in
default, at least not in MaraDns.h -- Plus the new startup script has the
advantage you can use a different config file if one wishes).

So unless my FreeBSD system is somehow very odd, I would say this port is
broken now :( Could you please take a look at it and fix it? Thanks.

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net  | (+031) 621 991 576
http://www.carpetsmoker.net | http://www.daemonforums.org

QOTD:
When it's dark enough you can see the stars.
		-- Ralph Waldo Emerson